Bug 344291

Summary: via_rhine driver causes oops after doing suspend to ram twice
Product: [Fedora] Fedora Reporter: Martin Jürgens <ma>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8CC: jonstanley, wwoods
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-07 19:02:23 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235704    

Description Martin Jürgens 2007-10-21 07:08:52 EDT
Description of problem:
I did my second suspend to ram today. After I resumed, the kernel oopsed.


Additional info:

Oct 21 13:01:25 fedora-laptop NetworkManager: <info>  Waking up from sleep.
Oct 21 13:01:25 fedora-laptop NetworkManager: <info>  eth0: Device is
fully-supported using driver 'via-rhine'.
Oct 21 13:01:25 fedora-laptop NetworkManager: <info>  Now managing wired
Ethernet (802.3) device 'eth0'.
Oct 21 13:01:25 fedora-laptop NetworkManager: <info>  Bringing up device eth0
Oct 21 13:01:25 fedora-laptop kernel: BUG: unable to handle kernel NULL pointer
dereference at virtual address 00000000
Oct 21 13:01:25 fedora-laptop kernel: printing eip: eccb8b1e *pde = 1a69c067
*pte = 00000000
Oct 21 13:01:25 fedora-laptop kernel: Oops: 0000 [#1] SMP
Oct 21 13:01:25 fedora-laptop kernel: Modules linked in: via drm autofs4 sunrpc
nf_conntrack_netbios_ns nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink
ipt_REJECT iptable_filter ip_tables xt_tcpudp ip6t_REJECT ip6table_filter
ip6_tables x_tables loop ipv6 dm_multipath snd_via82xx_modem snd_via82xx
gameport snd_ac97_codec ac97_bus arc4 ecb blkcipher snd_seq_dummy rc80211_simple
snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm b43
mac80211 snd_mpu401_uart snd_rawmidi cfg80211 snd_seq_device via_rhine snd_timer
i2c_viapro snd_page_alloc snd soundcore mii video serio_raw i2c_core output
battery firewire_ohci ac button firewire_core ssb crc_itu_t joydev sg sr_mod
cdrom pata_via dm_snapshot dm_zero dm_mirror dm_mod ata_generic sata_via libata
sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd
Oct 21 13:01:25 fedora-laptop kernel: CPU:    0
Oct 21 13:01:25 fedora-laptop kernel: EIP:    0060:[<eccb8b1e>]    Not tainted VLI
Oct 21 13:01:25 fedora-laptop kernel: EFLAGS: 00210093   (2.6.23.1-23.fc8 #1)
Oct 21 13:01:25 fedora-laptop kernel: EIP is at rhine_interrupt+0x192/0x6b3
[via_rhine]
Oct 21 13:01:25 fedora-laptop kernel: eax: 00000000   ebx: e7f5a500   ecx:
eccc0c0e   edx: e7f5a000
Oct 21 13:01:25 fedora-laptop kernel: esi: eccc0c08   edi: 00000000   ebp:
00000000   esp: da69bb64
Oct 21 13:01:25 fedora-laptop kernel: ds: 007b   es: 007b   fs: 00d8  gs: 0033 
ss: 0068
Oct 21 13:01:25 fedora-laptop kernel: Process NetworkManager (pid: 2133,
ti=da69b000 task=dafc0000 task.ti=da69b000)
Oct 21 13:01:25 fedora-laptop kernel: Stack: eb2a0610 c04041be eb2a0860 c1588f00
dafc0000 e7f5a000 eccc0c00 00ffffff
Oct 21 13:01:25 fedora-laptop kernel:        00000014 da69bbe4 00200086 00200202
cb9366e0 00000014 eccb898c c045b03c
Oct 21 13:01:25 fedora-laptop kernel:        00000080 01000002 e7f5a000 e7f5a000
00001002 e7f5a500 eccb9e8d e7f5a000
Oct 21 13:01:25 fedora-laptop kernel: Call Trace:
Oct 21 13:01:25 fedora-laptop kernel:  [<c04041be>] __switch_to+0xcb/0x149
Oct 21 13:01:25 fedora-laptop kernel:  [<eccb898c>] rhine_interrupt+0x0/0x6b3
[via_rhine]
Oct 21 13:01:25 fedora-laptop kernel:  [<c045b03c>] request_irq+0xb2/0xe6
Oct 21 13:01:25 fedora-laptop kernel:  [<eccb9e8d>] rhine_open+0x3b/0x1c3
[via_rhine]
Oct 21 13:01:25 fedora-laptop kernel:  [<c05bd237>] dev_open+0x2e/0x68
Oct 21 13:01:25 fedora-laptop kernel:  [<c05bb516>] dev_change_flags+0x9c/0x14d
Oct 21 13:01:25 fedora-laptop kernel:  [<c05c2a77>] do_setlink+0x1bb/0x282
Oct 21 13:01:25 fedora-laptop kernel:  [<c05c3b52>] rtnl_setlink+0x0/0xeb
Oct 21 13:01:25 fedora-laptop kernel:  [<c05c3c22>] rtnl_setlink+0xd0/0xeb
Oct 21 13:01:25 fedora-laptop kernel:  [<c05c34c6>] rtnetlink_rcv_msg+0x1a1/0x1bb
Oct 21 13:01:25 fedora-laptop kernel:  [<c05d05d5>] netlink_run_queue+0x5c/0xd2
Oct 21 13:01:25 fedora-laptop kernel:  [<c05c3325>] rtnetlink_rcv_msg+0x0/0x1bb
Oct 21 13:01:25 fedora-laptop kernel:  [<c05c32e4>] rtnetlink_rcv+0x25/0x3d
Oct 21 13:01:25 fedora-laptop kernel:  [<c05d0a4a>] netlink_data_ready+0x12/0x4c
Oct 21 13:01:25 fedora-laptop kernel:  [<c05cf9f9>] netlink_sendskb+0x19/0x30
Oct 21 13:01:25 fedora-laptop kernel:  [<c05d0a2c>] netlink_sendmsg+0x274/0x280
Oct 21 13:01:25 fedora-laptop kernel:  [<c05b20ed>] sock_sendmsg+0xd0/0xeb
Oct 21 13:01:25 fedora-laptop kernel:  [<c043d485>]
autoremove_wake_function+0x0/0x35
Oct 21 13:01:25 fedora-laptop kernel:last message repeated 2 times
Oct 21 13:01:25 fedora-laptop kernel:  [<c04f68d8>] copy_from_user+0x32/0x5e
Oct 21 13:01:25 fedora-laptop kernel:  [<c05b229a>] sys_sendmsg+0x192/0x1f7
Oct 21 13:01:25 fedora-laptop kernel:  [<c05b2e16>] sys_recvmsg+0x1bf/0x1d3
Oct 21 13:01:25 fedora-laptop kernel:  [<c05b2a59>] sys_sendto+0x128/0x135
Oct 21 13:01:25 fedora-laptop kernel:  [<c04f6b18>] copy_to_user+0x34/0x48
Oct 21 13:01:25 fedora-laptop kernel:  [<c048399b>] cp_new_stat64+0xfc/0x10e
Oct 21 13:01:25 fedora-laptop kernel:  [<c04250b5>] update_stats_wait_end+0xd3/0xfe
Oct 21 13:01:25 fedora-laptop kernel:  [<c04041be>] __switch_to+0xcb/0x149
Oct 21 13:01:25 fedora-laptop kernel:  [<c05b3503>] sys_socketcall+0x240/0x261
Oct 21 13:01:25 fedora-laptop kernel:  [<c040518a>] syscall_call+0x7/0xb
Oct 21 13:01:25 fedora-laptop kernel:  =======================
Oct 21 13:01:25 fedora-laptop kernel: Code: 00 8b ab 54 03 00 00 8d 83 3c 03 00
00 83 e5 0f e8 0e 5d 96 d3 e9 99 01 00 00 8b 43 04 89 ef c1 e7 04 01 f8 83 3d e0
c8 cb ec 06 <8b> 30 7e 14 89 74 24 08 89 6c 24 04 c7 04 24 7d ab cb ec e8 b5
Oct 21 13:01:25 fedora-laptop kernel: EIP: [<eccb8b1e>]
rhine_interrupt+0x192/0x6b3 [via_rhine] SS:ESP 0068:da69bb64
Oct 21 13:01:26 fedora-laptop gnome-power-manager: (martin) Rechner wird aufgeweckt
Comment 1 Will Woods 2007-10-27 15:27:54 EDT
2.6.23.1-23.fc8 is a bit old - please update your kernel and try again.
If possible, get kernel-2.6.23.1-37.fc8, available here: 
http://koji.fedoraproject.org/koji/buildinfo?buildID=22511

Also, could you provide some details about the system? I'm guessing from the
hostname that it's a laptop. What brand/model? What CPU does it have? 


Comment 2 Martin Jürgens 2007-10-27 21:02:34 EDT
still happens with 2.6.23.1-37.fc8.

It is a laptop, your guessing is right. Namely, a Fujitsu Siemens Amilo PRO
V2030. It uses the Intel Celeron M processor.
Comment 3 Martin Jürgens 2007-10-27 21:06:48 EDT
Oct 28 02:56:14 fedora-laptop NetworkManager: <info>  Waking up from sleep.
Oct 28 02:56:14 fedora-laptop NetworkManager: <info>  eth0: Device is
fully-supported using driver 'via-rhine'.
Oct 28 02:56:14 fedora-laptop NetworkManager: <info>  Now managing wired
Ethernet (802.3) device 'eth0'.
Oct 28 02:56:14 fedora-laptop NetworkManager: <info>  Bringing up device eth0
Oct 28 02:56:14 fedora-laptop kernel: BUG: unable to handle kernel NULL pointer
dereference at virtual address 00000000
Oct 28 02:56:14 fedora-laptop kernel: printing eip: eccb7b1e *pde = 1d06e067
*pte = 00000000 
Oct 28 02:56:14 fedora-laptop kernel: Oops: 0000 [#1] SMP 
Oct 28 02:56:14 fedora-laptop kernel: Modules linked in: via drm autofs4 sunrpc
nf_conntrack_netbios_ns nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink
ipt_REJECT iptable_filter ip_tables xt_tcpudp ip6t_REJECT ip6table_filter
ip6_tables x_tables ipv6 loop dm_multipath snd_via82xx_modem arc4 ecb blkcipher
snd_seq_dummy rc80211_simple snd_seq_oss snd_seq_midi_event snd_seq snd_via82xx
gameport b43 snd_ac97_codec snd_pcm_oss mac80211 snd_mixer_oss ac97_bus cfg80211
snd_mpu401_uart via_rhine video snd_pcm mii serio_raw output snd_rawmidi
snd_seq_device snd_timer snd i2c_viapro snd_page_alloc soundcore i2c_core
battery ac firewire_ohci firewire_core button crc_itu_t ssb joydev sg sr_mod
cdrom pata_via dm_snapshot dm_zero dm_mirror dm_mod ata_generic sata_via libata
sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd
Oct 28 02:56:14 fedora-laptop kernel: CPU:    0
Oct 28 02:56:14 fedora-laptop kernel: EIP:    0060:[<eccb7b1e>]    Not tainted VLI
Oct 28 02:56:14 fedora-laptop kernel: EFLAGS: 00210093   (2.6.23.1-37.fc8 #1)
Oct 28 02:56:14 fedora-laptop kernel: EIP is at rhine_interrupt+0x192/0x6b3
[via_rhine]
Oct 28 02:56:14 fedora-laptop kernel: eax: 00000000   ebx: ebb6d500   ecx:
ecc96c0e   edx: ebb6d000
Oct 28 02:56:14 fedora-laptop kernel: esi: ecc96c08   edi: 00000000   ebp:
00000000   esp: dd06db64
Oct 28 02:56:14 fedora-laptop kernel: ds: 007b   es: 007b   fs: 00d8  gs: 0033 
ss: 0068
Oct 28 02:56:14 fedora-laptop kernel: Process NetworkManager (pid: 2104,
ti=dd06d000 task=deec2c20 task.ti=dd06d000)
Oct 28 02:56:14 fedora-laptop kernel: Stack: e6afa000 c04041be e6afa250 c1588f00
deec2c20 ebb6d000 ecc96c00 00ffffff 
Oct 28 02:56:14 fedora-laptop kernel:        00000014 dd06dbe4 00200086 00200202
cd33dd60 00000014 eccb798c c045b03c 
Oct 28 02:56:14 fedora-laptop kernel:        00000080 01000001 ebb6d000 ebb6d000
00001002 ebb6d500 eccb8e8d ebb6d000 
Oct 28 02:56:14 fedora-laptop kernel: Call Trace:
Oct 28 02:56:14 fedora-laptop kernel:  [<c04041be>] __switch_to+0xcb/0x149
Oct 28 02:56:14 fedora-laptop kernel:  [<eccb798c>] rhine_interrupt+0x0/0x6b3
[via_rhine]
Oct 28 02:56:14 fedora-laptop kernel:  [<c045b03c>] request_irq+0xb2/0xe6
Oct 28 02:56:14 fedora-laptop kernel:  [<eccb8e8d>] rhine_open+0x3b/0x1c3
[via_rhine]
Oct 28 02:56:14 fedora-laptop kernel:  [<c05bd217>] dev_open+0x2e/0x68
Oct 28 02:56:14 fedora-laptop kernel:  [<c05bb4f6>] dev_change_flags+0x9c/0x14d
Oct 28 02:56:14 fedora-laptop kernel:  [<c05c2a57>] do_setlink+0x1bb/0x282
Oct 28 02:56:14 fedora-laptop kernel:  [<c05c3b32>] rtnl_setlink+0x0/0xeb
Oct 28 02:56:14 fedora-laptop kernel:  [<c05c3c02>] rtnl_setlink+0xd0/0xeb
Oct 28 02:56:14 fedora-laptop kernel:  [<c05c34a6>] rtnetlink_rcv_msg+0x1a1/0x1bb
Oct 28 02:56:14 fedora-laptop kernel:  [<c05d05b5>] netlink_run_queue+0x5c/0xd2
Oct 28 02:56:14 fedora-laptop kernel:  [<c05c3305>] rtnetlink_rcv_msg+0x0/0x1bb
Oct 28 02:56:14 fedora-laptop kernel:  [<c05c32c4>] rtnetlink_rcv+0x25/0x3d
Oct 28 02:56:14 fedora-laptop kernel:  [<c05d0a2a>] netlink_data_ready+0x12/0x4c
Oct 28 02:56:14 fedora-laptop kernel:  [<c05cf9d9>] netlink_sendskb+0x19/0x30
Oct 28 02:56:14 fedora-laptop kernel:  [<c05d0a0c>] netlink_sendmsg+0x274/0x280
Oct 28 02:56:14 fedora-laptop kernel:  [<c05b20cd>] sock_sendmsg+0xd0/0xeb
Oct 28 02:56:14 fedora-laptop kernel:  [<c043d485>]
autoremove_wake_function+0x0/0x35
Oct 28 02:56:14 fedora-laptop kernel:last message repeated 2 times
Oct 28 02:56:14 fedora-laptop kernel:  [<c04f68b8>] copy_from_user+0x32/0x5e
Oct 28 02:56:14 fedora-laptop kernel:  [<c05b227a>] sys_sendmsg+0x192/0x1f7
Oct 28 02:56:14 fedora-laptop kernel:  [<c05b2df6>] sys_recvmsg+0x1bf/0x1d3
Oct 28 02:56:14 fedora-laptop kernel:  [<c05b2a39>] sys_sendto+0x128/0x135
Oct 28 02:56:14 fedora-laptop kernel:  [<c04f6af8>] copy_to_user+0x34/0x48
Oct 28 02:56:14 fedora-laptop kernel:  [<c048399b>] cp_new_stat64+0xfc/0x10e
Oct 28 02:56:14 fedora-laptop kernel:  [<c04250b5>] update_stats_wait_end+0xd3/0xfe
Oct 28 02:56:14 fedora-laptop kernel:  [<c04041be>] __switch_to+0xcb/0x149
Oct 28 02:56:14 fedora-laptop kernel:  [<c05b34e3>] sys_socketcall+0x240/0x261
Oct 28 02:56:14 fedora-laptop kernel:  [<c040518a>] syscall_call+0x7/0xb
Oct 28 02:56:14 fedora-laptop kernel:  =======================
Oct 28 02:56:14 fedora-laptop kernel: Code: 00 8b ab 54 03 00 00 8d 83 3c 03 00
00 83 e5 0f e8 ee 6c 96 d3 e9 99 01 00 00 8b 43 04 89 ef c1 e7 04 01 f8 83 3d e0
b8 cb ec 06 <8b> 30 7e 14 89 74 24 08 89 6c 24 04 c7 04 24 7d 9b cb ec e8 b5 
Oct 28 02:56:14 fedora-laptop kernel: EIP: [<eccb7b1e>]
rhine_interrupt+0x192/0x6b3 [via_rhine] SS:ESP 0068:dd06db64


By the way, when waking up my laptop NetworkManager sees a wired connection,
although no cable is plugged in and tries to connect to it. Could be related.
Comment 4 Chuck Ebbert 2007-10-29 14:56:20 EDT
try unloading the via_rhine driver before suspend.
Comment 5 Martin Jürgens 2007-10-29 17:10:31 EDT
no Oops then after unloading via_rhine before suspend.
Comment 6 Jon Stanley 2007-12-30 01:34:20 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 7 Martin Jürgens 2008-02-11 10:49:13 EST
Yes, I am still having the problem with kernel 2.6.23.14-115.fc8:

Feb 11 16:23:24 fedora-laptop NetworkManager: <WARN>  nm_signal_handler():
Caught signal 15, shutting down normally.
Feb 11 16:23:24 fedora-laptop NetworkManager: <info>  Marking connection 'Auto
Ethernet' invalid.
Feb 11 16:23:24 fedora-laptop NetworkManager: <info>  Activation (eth0) failed.
Feb 11 16:23:24 fedora-laptop NetworkManager: <info>  Deactivating device eth0.
Feb 11 16:23:24 fedora-laptop NetworkManager: <info>  Activation (eth0) Stage 4
of 5 (IP Configure Timeout) complete.
Feb 11 16:23:24 fedora-laptop NetworkManager: <info>  Bringing down device eth0
Feb 11 16:23:24 fedora-laptop NetworkManager: <info>  Deactivating device eth0.
Feb 11 16:23:24 fedora-laptop NetworkManager: <info>  Deactivating device wlan0.
Feb 11 16:23:24 fedora-laptop NetworkManager: <info>  starting...
Feb 11 16:23:24 fedora-laptop NetworkManager: <info>  eth0: Device is
fully-supported using driver 'via-rhine'.
Feb 11 16:23:24 fedora-laptop NetworkManager: <info>  Now managing wired
Ethernet (802.3) device 'eth0'.
Feb 11 16:23:24 fedora-laptop NetworkManager: <info>  Bringing up device eth0
Feb 11 16:23:24 fedora-laptop kernel: BUG: unable to handle kernel NULL pointer
dereference at virtual address 00000000
Feb 11 16:23:24 fedora-laptop kernel: printing eip: ecc96b1e *pde = 099ff067
*pte = 00000000 
Feb 11 16:23:24 fedora-laptop kernel: Oops: 0000 [#1] SMP 
Feb 11 16:23:24 fedora-laptop kernel: Modules linked in: aes via drm
rfkill_input autofs4 sunrpc loop dm_multipath ipv6 snd_via82xx_modem snd_via82xx
gameport snd_ac97_codec ac97_bus snd_seq_dummy arc4 ecb blkcipher snd_seq_oss
snd_seq_midi_event snd_seq b43 rfkill mac80211 cfg80211 snd_pcm_oss
snd_mixer_oss input_polldev snd_pcm pcspkr video snd_mpu401_uart output
serio_raw snd_rawmidi snd_timer snd_seq_device snd via_rhine snd_page_alloc
i2c_viapro soundcore mii battery ac i2c_core button firewire_ohci firewire_core
ssb crc_itu_t joydev sg sr_mod cdrom pata_via dm_snapshot dm_zero dm_mirror
dm_mod ata_generic sata_via libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd
ohci_hcd ehci_hcd
Feb 11 16:23:24 fedora-laptop kernel: CPU:    0
Feb 11 16:23:24 fedora-laptop kernel: EIP:    0060:[<ecc96b1e>]    Not tainted VLI
Feb 11 16:23:24 fedora-laptop kernel: EFLAGS: 00210093   (2.6.23.14-115.fc8 #1)
Feb 11 16:23:24 fedora-laptop kernel: EIP is at rhine_interrupt+0x192/0x6b3
[via_rhine]
Feb 11 16:23:24 fedora-laptop kernel: eax: 00000000   ebx: ebbd0500   ecx:
ecc84c0e   edx: ebbd0000
Feb 11 16:23:24 fedora-laptop kernel: esi: ecc84c08   edi: 00000000   ebp:
00000000   esp: c99feb3c
Feb 11 16:23:24 fedora-laptop kernel: ds: 007b   es: 007b   fs: 00d8  gs: 0033 
ss: 0068
Feb 11 16:23:24 fedora-laptop kernel: Process NetworkManager (pid: 3316,
ti=c99fe000 task=c9f56610 task.ti=c99fe000)
Feb 11 16:23:24 fedora-laptop kernel: Stack: 00000007 c2236b40 c04996b4 c1ec05a0
00000000 ebbd0000 ecc84c00 00ffffff 
Feb 11 16:23:24 fedora-laptop kernel:        00000014 ebb9a600 00000006 00200202
de849a80 00000014 ecc9698c c045b0f1 
Feb 11 16:23:24 fedora-laptop kernel:        00000080 019febcc ebbd0000 ebbd0000
00001002 ebbd0500 ecc97ead ebbd0000 
Feb 11 16:23:24 fedora-laptop kernel: Call Trace:
Feb 11 16:23:24 fedora-laptop kernel:  [<c04996b4>] __mark_inode_dirty+0x24/0x138
Feb 11 16:23:24 fedora-laptop kernel:  [<ecc9698c>] rhine_interrupt+0x0/0x6b3
[via_rhine]
Feb 11 16:23:24 fedora-laptop kernel:  [<c045b0f1>] request_irq+0xb2/0xe5
Feb 11 16:23:24 fedora-laptop kernel:  [<ecc97ead>] rhine_open+0x3b/0x1c3
[via_rhine]
Feb 11 16:23:24 fedora-laptop kernel:  [<c05bd737>] dev_open+0x2e/0x68
Feb 11 16:23:24 fedora-laptop kernel:  [<c05bba16>] dev_change_flags+0x9c/0x14d
Feb 11 16:23:24 fedora-laptop kernel:  [<c05c2f77>] do_setlink+0x1bb/0x282
Feb 11 16:23:24 fedora-laptop kernel:  [<c05c4052>] rtnl_setlink+0x0/0xeb
Feb 11 16:23:24 fedora-laptop kernel:  [<c05c4122>] rtnl_setlink+0xd0/0xeb
Feb 11 16:23:24 fedora-laptop kernel:  [<c05c39c6>] rtnetlink_rcv_msg+0x1a1/0x1bb
Feb 11 16:23:24 fedora-laptop kernel:  [<c04cc884>] socket_has_perm+0x5a/0x62
Feb 11 16:23:24 fedora-laptop kernel:  [<c05d0b1c>] netlink_run_queue+0x5c/0xd2
Feb 11 16:23:24 fedora-laptop kernel:  [<c05c3825>] rtnetlink_rcv_msg+0x0/0x1bb
Feb 11 16:23:24 fedora-laptop kernel:  [<c05c37e4>] rtnetlink_rcv+0x25/0x3d
Feb 11 16:23:24 fedora-laptop kernel:  [<c05d0f91>] netlink_data_ready+0x12/0x4c
Feb 11 16:23:24 fedora-laptop kernel:  [<c05cff35>] netlink_sendskb+0x19/0x30
Feb 11 16:23:24 fedora-laptop kernel:  [<c05d0818>] netlink_unicast+0x1a8/0x1b4
Feb 11 16:23:24 fedora-laptop kernel:  [<c05d0f73>] netlink_sendmsg+0x274/0x280
Feb 11 16:23:24 fedora-laptop kernel:  [<c05b25dd>] sock_sendmsg+0xd0/0xeb
Feb 11 16:23:24 fedora-laptop kernel:  [<c043d491>]
autoremove_wake_function+0x0/0x35
Feb 11 16:23:24 fedora-laptop kernel:  [<c043d491>]
autoremove_wake_function+0x0/0x35
Feb 11 16:23:24 fedora-laptop kernel:  [<c04f6cc8>] copy_from_user+0x32/0x5e
Feb 11 16:23:24 fedora-laptop kernel:  [<c05b278a>] sys_sendmsg+0x192/0x1f7
Feb 11 16:23:24 fedora-laptop kernel:  [<c05b329c>] sys_recvmsg+0x14b/0x1d3
Feb 11 16:23:24 fedora-laptop kernel:  [<c04f6f08>] copy_to_user+0x34/0x48
Feb 11 16:23:24 fedora-laptop kernel:  [<c05b3139>] move_addr_to_user+0x51/0x69
Feb 11 16:23:24 fedora-laptop kernel:  [<c05b35c2>] sys_getsockname+0x86/0xb0
Feb 11 16:23:24 fedora-laptop kernel:  [<c04cc884>] socket_has_perm+0x5a/0x62
Feb 11 16:23:24 fedora-laptop kernel:  [<c061f006>] _spin_lock_bh+0x8/0x18
Feb 11 16:23:24 fedora-laptop kernel:  [<c05b4233>] release_sock+0x12/0x8e
Feb 11 16:23:24 fedora-laptop kernel:  [<c05b5a1c>] sock_setsockopt+0x4d1/0x4e9
Feb 11 16:23:24 fedora-laptop kernel:  [<c05b39fd>] sys_socketcall+0x240/0x261
Feb 11 16:23:24 fedora-laptop kernel:  [<c040518a>] syscall_call+0x7/0xb
Feb 11 16:23:24 fedora-laptop kernel:  [<c0610000>] xfrm_alloc_spi+0xe/0x158
Feb 11 16:23:24 fedora-laptop kernel:  =======================
Feb 11 16:23:24 fedora-laptop kernel: Code: 00 8b ab 54 03 00 00 8d 83 3c 03 00
00 83 e5 0f e8 0e 84 98 d3 e9 99 01 00 00 8b 43 04 89 ef c1 e7 04 01 f8 83 3d 00
a9 c9 ec 06 <8b> 30 7e 14 89 74 24 08 89 6c 24 04 c7 04 24 9d 8b c9 ec e8 bd 
Feb 11 16:23:24 fedora-laptop kernel: EIP: [<ecc96b1e>]
rhine_interrupt+0x192/0x6b3 [via_rhine] SS:ESP 0068:c99feb3c